# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Math/Cephes.pm) perl(Math/GSL/Linalg/SVD.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/NonMoose.pm) perl(Statistics/PCA.pm) perl(Statistics/PCA/Varimax.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.0-2
%define module_name Statistics-FactorAnalysis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0_2
Release: alt1
Summary: A Perl implementation of Factor Analysis using the Principal Component Method.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSTH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Factor analysis is a statistical method by which the variability of a large set of observed variables is described in
terms of a smaller set of unobserved variables termed factors. Factor analysis uses the premise that data observed from
such a large number of variables are in some way a function of these factors that cannot be measured directly.
The observed variables are modeled as linear combinations of the factors. Factor analysis is related to principal
component analysis (PCA). However, unlike PCA that takes into account all variability in the variables, factor analysis 
estimates how much of the variability is due to common factors ("communality"). See http://en.wikipedia.org/wiki/Factor_analysis.


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.0_2-alt1
- initial import by package builder

